Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdp.parlayx.multimedia_messaging.receive
Class ReceiveMessageClient

    java.lang.Object
      oracle.sdp.parlayx.multimedia_messaging.receive.ReceiveMessageClient

    public class ReceiveMessageClient

extends Object

Constructor Summary
`ReceiveMessageClient()`
`ReceiveMessageClient(String assertedId)`

Method Summary
`javax.activation.DataHandler` | `getAttachment()` Retrieve MIME attachment content from the last invocation of getMessage().
`oracle.webservices.transport.ClientTransport` | `getClientTransport()` returns the transport context
`String` | `getEndpoint()`
`javax.xml.soap.MimeHeaders` | `getHeaders()` Retrieve any headers that were received with this content.
`boolean` | `getMaintainSession()`
`void` | `getMessage(String messageRefIdentifier)` Implemented according to Parlay-X 2.1 specification section 8.2.3.
`org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessageURI` | `getMessageURIs(String messageRefIdentifier)` The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain.
`String` | `getPassword()`
`oracle.sdp.parlayx.multimedia_messaging.receive.ReceiveMessage` | `getPort()` used to access the JAX-RPC level APIs returns the interface of the port instance
`org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessageReference[]` | `getReceivedMessages(String registrationIdentifier, org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessagePriority priority)` The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain.
`String` | `getUsername()`
`void` | `setEndpoint(String endpoint)`
`void` | `setMaintainSession(boolean maintainSession)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReceiveMessageClient

    public ReceiveMessageClient()
                         throws Exception

Throws:
  `Exception`

### ReceiveMessageClient

    public ReceiveMessageClient(String assertedId)
                         throws Exception

Throws:
  `Exception`

Method Detail

### getAttachment

    public javax.activation.DataHandler getAttachment()

  Retrieve MIME attachment content from the last invocation of getMessage().

  Returns:

### getHeaders

    public javax.xml.soap.MimeHeaders getHeaders()

  Retrieve any headers that were received with this content. This method does not return any Content-Type headers - Content-Type information should be retrieved from the attachment itself.

  Returns:

### getReceivedMessages

    public org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessageReference[] getReceivedMessages(String registrationIdentifier,
                                                                                                     org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessagePriority priority)
                                                                                              throws RemoteException,
                                                                                                     org.csapi.schema.parlayx.common.v2_1.PolicyException,
                                                                                                     org.csapi.schema.parlayx.common.v2_1.ServiceException

  The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain. When communicating with a SIP messaging endpoint, the following exceptions/clarifications apply: This method is not supported in this implementation, and will always throw a ServiceException with code SVC001. Clients are not allowed to poll for received messages; instead, they must use the startMessageNotification method of the MessageNotificationManager interface to register the notification endpoint that will be invoked whenever a new message is available for the endpoint user.

  Parameters:
    `registrationIdentifier` -
    `priority` -
  Returns:
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### getMessageURIs

    public org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessageURI getMessageURIs(String messageRefIdentifier)
                                                                                 throws RemoteException,
                                                                                        org.csapi.schema.parlayx.common.v2_1.ServiceException,
                                                                                        org.csapi.schema.parlayx.common.v2_1.PolicyException

  The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain. When communicating with a SIP messaging endpoint, the following exceptions/clarifications apply: This method is not supported in this implementation calling this method will always result in a ServiceException with code SVC001.

  Parameters:
    `messageRefIdentifier` -
  Returns:
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`

### getMessage

    public void getMessage(String messageRefIdentifier)
                    throws RemoteException,
                           org.csapi.schema.parlayx.common.v2_1.PolicyException,
                           org.csapi.schema.parlayx.common.v2_1.ServiceException

  Implemented according to Parlay-X 2.1 specification section 8.2.3. The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain. When communicating with a SIP messaging endpoint, the following exceptions/clarifications apply:
  - Whenever this method is called with a messageRefIdentifier that does not exist on the server, a ServiceException with error code SVC002 is thrown.

  Parameters:
    `messageRefIdentifier` - Identifier received from notification.
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### getPort

    public oracle.sdp.parlayx.multimedia_messaging.receive.ReceiveMessage getPort()

  used to access the JAX-RPC level APIs returns the interface of the port instance

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### setMaintainSession

    public void setMaintainSession(boolean maintainSession)

### getMaintainSession

    public boolean getMaintainSession()

### getClientTransport

    public oracle.webservices.transport.ClientTransport getClientTransport()

  returns the transport context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.